package edu.uoc.prezmm.a1list2cook;

import android.os.Bundle;
import android.widget.Toast;

import com.daimajia.slider.library.Animations.DescriptionAnimation;
import com.daimajia.slider.library.SliderLayout;
import com.daimajia.slider.library.SliderTypes.BaseSliderView;
import com.daimajia.slider.library.SliderTypes.TextSliderView;

import java.util.LinkedHashMap;

public class TutorialActivity extends BaseActivity implements BaseSliderView.OnSliderClickListener {

    SliderLayout sliderLayout ;

    LinkedHashMap<String, String> HashMapForURL ;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //Defineix el contingut del layout de la Activity dins el frame de la classe pare
        setLayoutToBaseFrame(R.layout.activity_tutorial);

        //Especifica el títol de la Activity al ToolBar
        setToolBarTitle("Tutorial");

        sliderLayout = (SliderLayout)findViewById(R.id.slider);

        //Call this method if you want to add images from URL .
        AddImagesUrlOnline();

        //Call this method to stop automatic sliding.
        sliderLayout.stopAutoCycle();

        //Vincula cada element del HasMap amb el seu text
        for(String name : HashMapForURL.keySet()){

            TextSliderView textSliderView = new TextSliderView(TutorialActivity.this);

            textSliderView
                    .description(name)
                    .image(HashMapForURL.get(name))
                    .setScaleType(BaseSliderView.ScaleType.CenterInside)
                    .setOnSliderClickListener(this);

            textSliderView.bundle(new Bundle());

            textSliderView.getBundle()
                    .putString("extra",name);

            sliderLayout.addSlider(textSliderView);
        }

        //Configuració bàsica del slider
        sliderLayout.setPresetTransformer(SliderLayout.Transformer.DepthPage);
        sliderLayout.setPresetIndicator(SliderLayout.PresetIndicators.Center_Bottom);
        sliderLayout.setCustomAnimation(new DescriptionAnimation());
        sliderLayout.setDuration(1000);
    }

    @Override
    //Desactiva la rotació automàtica
    protected void onStop() {
        sliderLayout.stopAutoCycle();
        super.onStop();
    }

    @Override
    //Mostra un missatge flotant amb el nom del slider premut
    public void onSliderClick(BaseSliderView slider) {
        Toast.makeText(this,slider.getBundle().get("extra") + "", Toast.LENGTH_SHORT).show();
    }

    //Vincula cada imatge amb un element del HashMap
    private void AddImagesUrlOnline(){
        HashMapForURL = new LinkedHashMap<String, String>();

        HashMapForURL.put("Pàgina principal", "http://1list2cook.com/tutorial/tutorial01.jpg");
        HashMapForURL.put("Nova recepta", "http://1list2cook.com/tutorial/tutorial02.jpg");
        HashMapForURL.put("Llistat de receptes", "http://1list2cook.com/tutorial/tutorial03.jpg");
        HashMapForURL.put("Detall recepta", "http://1list2cook.com/tutorial/tutorial04.jpg");
        HashMapForURL.put("Llistes de compra", "http://1list2cook.com/tutorial/tutorial05.jpg");
        HashMapForURL.put("Detall llista", "http://1list2cook.com/tutorial/tutorial06.jpg");
    }
}

